.table-wrapper{
  width: 100%;
  overflow-x: auto;
  overflow-y: hidden;
  padding: 0;
  margin: 0;
}

.table-wrapper table{
  width: 100%;
  min-width: fit-content;
  margin: 0;
  margin-bottom: 200px!important;
}

/* Container to center the loader and overlay it on the page */
.loader-container {
  position: fixed; /* Fixed position to cover the entire screen */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.8); /* Semi-transparent white background */
  display: flex;
  justify-content: center; /* Center horizontally */
  align-items: center; /* Center vertically */
  z-index: 1000; /* Ensure it appears above other content */
}

/* Spinning loader animation */
.loader {
  border: 5px solid #f3f3f3; /* Light grey border */
  border-top: 5px solid #3498db; /* Blue border for the spinning part */
  border-radius: 50%; /* Circular shape */
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite; /* Spin animation */
}

/* Keyframes for the spin animation */
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}


.no-select {
  user-select: none; /* Standard CSS property to disable text selection */
  -webkit-user-select: none; /* For Safari */
  -moz-user-select: none; /* For Firefox */
  -ms-user-select: none; /* For Internet Explorer and Edge */
}
.sss{
  direction: ltr!important;
}

.ng-value .ng-star-inserted{
  color: black!important;
  border: none!important;
  background-color: white!important;
}
.select2-results__option {
  text-align: right;
}

.limit-text {
  overflow: hidden; /* Set the overflow property to hide the extra text */
  display: -webkit-box; /* Set the display property to -webkit-box for older versions of Safari */
  -webkit-line-clamp: 2; /* Set the maximum number of lines to show */
  -webkit-box-orient: vertical; /* Set the orientation to vertical */
  text-overflow: ellipsis; /* Add an ellipsis to indicate there is more text */
}

.modal-body {
  border-bottom: 1px solid lightgray;
}

.ltr {
  /*direction: ltr !important;*/
}

.toast-container .ngx-toastr {
  padding: 15px 15px 15px 15px !important;
}

.notificationDialog {
  margin: 0px;
  float: left !important;
}

.notification {
  margin-top: 50px;
  left: 0px!important;
  margin-left: 0px!important;
  overflow-y: auto;
}
.notificationDialog > .modal-content{
  width:400px!important;
}
#select2-rep_id-container {
  white-space: nowrap !important;
}

.select2-selection--single {
  height: 42px !important;
}

.modalClassSize .modal-dialog {
  min-width: 80vw !important;
  max-width: 80vw !important;
  width: 80vw !important;
}

.modalClassSize1 .modal-dialog {
  min-width: 60vw !important;
  max-width: 60vw !important;
  width: 60vw !important;
}

.apexcharts-legend-marker {
  margin-left: 20px !important;;
  margin-right: 20px !important;
}

/* width */
::-webkit-scrollbar {
  width: 7px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.as .ng-star-inserted {
  background-color: #fff;
  color: #000;
  width: 200px;
  border-bottom: 1px solid black;
  padding: 5px;
  border-radius: 10px;
  margin: 5px;
}

.ng-value .ng-star-inserted {
  width: auto !important;
  background-color: #99a0a1;
  color: #000;
  border: 1px solid black;
}

.badgelan {
  position: absolute;
  top: 0;
  left: 14px;
  display: inline-block;
  min-width: 10px;
  padding: 3px 7px;
  font-size: 12px;
  font-weight: 700;
  line-height: 1;
  color: #fff;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  background-color: #1daae2;
  border-radius: 10px;
}

#footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  color: white;
  text-align: center;
}

.ml-end {
  text-align: end !important;
}

.sidebar:after {
  background-image: linear-gradient(to right top, #048aef, #1daae2, #1daae2) !important;
  /*background-color: #1daae2 !important;*/
}

.sidebar .nav li > a {
  color: white !important;
  background-color: #1da9e1 !important;
  font-size: 16px !important;
}

.sidebar .nav li i {
  color: white !important;
}

.sidebar[data-active-color="primary"] .nav li.active > a {
  color: white !important;
  background-color: #1da9e1 !important;
  font-size: 16px !important;
}

.main-panel {
  background-color: white !important;
}

.sidebar .sidebar-wrapper li.active > a:not([data-toggle="collapse"]):after {
  /*border-right: 17px solid #ffffff !important;*/
}

.report input[type=checkbox] {
  display: none;
}

.report .label {
  border: 1px solid #000;
  display: inline-block;
  padding: 3px;
  /* background: url("unchecked.png") no-repeat left center; */
  /* padding-left: 15px;*/
}

.report input[type=checkbox]:checked + .label {
  background: #027114;
  color: #fff;
  /* background-image: url("checked.png"); */
}

.disabled-click {
  pointer-events: none;
}

/* End */
.spinner-border {
  --bs-spinner-width: 2rem !important;
  --bs-spinner-height: 2rem !important;
  margin: 2rem !important;
}

.report-select-css {
  max-width: 100px !important;
  width: 100px !important;
}

.dropdownlist {
  with-space: nowrap;
  min-width: 100%;
  text-align: left;
}

.card, .card-title, .header-list-action, .container-fluid {
  direction: ltr !important;
  justify-content: right!important;
}
.modal-header,.modal-footer{
   direction: ltr !important;
 }
input{
  direction: ltr!important;
}

.page-link {
  display: none;
}

.page-link[aria-label="Go to next page"] {
  display: inline;
}

.page-content-center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 0%;
}

tbody tr:hover, tr:focus-within {
  background-color: rgba(197, 224, 234, 0.49) !important;
  color: #1da9e1 !important;
  border-bottom: 1px solid black;
}

.form-control {
  height: 46px;
  border-radius: 10px 10px 10px 10px;
  padding: 10px;
  width: 100%;
  margin-left: 0px !important;
}
select.form-control{
  padding: 0px!important;
}
.card {
  box-shadow: 0px 0px 5px -3px grey !important
}

.btn-light {
  border: 1px solid #1da9e1 !important;
}

.btn-light:hover {
  background-color: #1da9e1 !important;
}

.card-title {
  width: 100%;
  /*border-bottom:1px solid rgba(128, 128, 128, 0.38) !important;*/
}

ngb-modal-backdrop {
  z-index: 1050 !important;
}

.modal-dialog {
  max-width: 1000px !important;
}

ul li a {
  white-space: nowrap !important;
}

div label {
  margin-left: 10px;
  margin-right: 10px;
  padding-right: 10px;
  padding-top: 10px;
  width: 100%;
}

.card-footer button {
  min-width: max-content !important;
  text-align: center !important;
  padding-right: 0px;
  padding-left: 0px;
}

.card-footer {
  direction: rtl;
  padding-left: 0px;
}

.ltr-input > div > input{
  direction: ltr!important;
}
